Public Member Functions

# wxCalendarEvent Class Reference
[Events]

`#include <wx/calctrl.h>`

Inheritance diagram for wxCalendarEvent:
[legend]

## Detailed Description

The wxCalendarEvent class is used together with wxCalendarCtrl.

##

Library: wxAdvanced
Category: Events

See also:
  wxCalendarCtrl

## Public Member Functions
wxDateTime::WeekDay | GetWeekDay () const
| Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler.
void | SetWeekDay (const wxDateTime::WeekDay day)
| Sets the week day carried by the event, normally only used by the library internally.

List of all members.

## Member Function Documentation

wxDateTime::WeekDay wxCalendarEvent::GetWeekDay | ( |  | ) | const

Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler.

It doesn't make sense to call this function in other handlers.

void wxCalendarEvent::SetWeekDay | ( | const wxDateTime::WeekDay | day | ) |

Sets the week day carried by the event, normally only used by the library internally.

|  | [ top ]